# MPI_Reduce_local

## NAME

MPI_Reduce_local − Applies a reduction operation to local arguments.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Reduce_local(void *inbuf, void *inoutbuf, int count,

|  | MPI_Datatype datatype, MPI_Op op)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_REDUCE_LOCAL(INBUF, INOUTBUF, COUNT, DATATYPE, OP,

|  |  | IERROR) |
|  | <type> |  | SENDBUF(*), RECVBUF(*)
|  | INTEGER |  | COUNT, DATATYPE, OP, IERROR

## C++ Syntax

#include <mpi.h>
void MPI::Op::Reduce_local(const void* inbuf, void* inoutbuf,

| int count, const MPI::Datatype& datatype) const

## INPUT PARAMETERS

| inbuf |  | Input buffer (choice). |
| count |  | Number of elements in inbuf and inoutbuf buffers (integer). |
| datatype |  | Data type of elements of inbuf and inoutbuf buffers (handle). |
| op |  | Reduce operation (handle). |

## OUTPUT PARAMETERS

| inoutbuf |  | Combined input and output buffer (choice).
| IERROR |  | Fortran only: Error status (integer).

## FOR MORE INFORMATION

For more information, see page 177 of the MPI 2.2 standard.

MPI API Index